SHUF(1)

BEZEICHNUNG
shuf - Zufällige Permutationen erzeugen

ÜBERSICHT
shuf [OPTION]… [DATEI]
shuf -e [OPTION]… [ARG]…
shuf -i VON-BIS [OPTION]…

BESCHREIBUNG

Eine zufällige Permutation der Eingabezeilen in die Standardausgabe schreiben

liest ohne DATEI oder wenn DATEI - ist, aus der Standardeingabe.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-e, --echo
    Jedes ARG als Eingabezeile behandeln

-i, --input-range=VON-BIS
    Alle Zahlen von VON bis BIS als Eingabezeilen ansehen

-n, --head-lines=ANZAHL
    Höchstens ANZAHL Zeilen zeigen

-o, --output=DATEI
    Ergebnis in DATEI statt in die Standardausgabe schreiben

--random-source=DATEI
    Zufällige Byte aus DATEI nehmen

-r, --repeat
    Ausgabezeilen können wiederholt werden

-z, --zero-terminated
    Zeilen mit Nullbyte (NUL) trennen, nicht mit Zeilenumbruch

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

AUTOR
Geschrieben von Paul Eggert.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/shuf>
oder lokal verfügbar mit: info '(coreutils) shuf invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).